# Messages

## List

> Retrieve Auto-upgrade Message(s).

```json
{"openapi":"3.0.1","info":{"title":"Parallels RAS - REST API v1.0","version":"1.0"},"paths":{"/api/AVD/HostPool/{id}/AutoUpgrade/Messages":{"get":{"tags":["0-Infrastructure/AVD/Host Pool//Auto-upgrade"],"summary":"List","description":"Retrieve Auto-upgrade Message(s).","operationId":"49762288-1dd7-4eb0-8721-831f43b79142","parameters":[{"name":"id","in":"path","description":"The ID of the Auto-upgrade setting for which to retrieve the messages.","required":true,"schema":{"type":"integer","format":"int32"}}],"responses":{"200":{"description":"Success","content":{"application/json; api-version=1.0":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/ScheduleMessage"}}}}},"401":{"description":"Unauthorized","content":{"application/json; api-version=1.0":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}},"404":{"description":"Not Found","content":{"application/json; api-version=1.0":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}}}}}},"components":{"schemas":{"ScheduleMessage":{"type":"object","properties":{"id":{"type":"integer","description":"<para type=\"description\">ID of the object.</para>","format":"int32"},"enabled":{"type":"boolean","description":"<para type=\"description\">Enabled</para>"},"messageTitle":{"type":"string","description":"<para type=\"description\">Message title</para>","nullable":true},"message":{"type":"string","description":"<para type=\"description\">Message</para>","nullable":true},"sendMsgSecs":{"type":"integer","description":"<para type=\"description\">Seconds before message is sent</para>","format":"int32"},"sendMsgWhen":{"$ref":"#/components/schemas/SendMsgWhen"}},"additionalProperties":false,"description":"<para type=\"synopsis\">Schedule Message</para>\r\n<para type=\"description\"></para>"},"SendMsgWhen":{"enum":[["0 = Before","1 = After"]],"type":"string","description":"<para type=\"synopsis\">Whether the message is sent Before/After the schedule is triggered. Send Message When can only be set to After in the case of Reboot.</para>\r\n<para type=\"description\"></para>","format":"int32"},"ProblemDetails":{"type":"object","properties":{"type":{"type":"string","nullable":true},"title":{"type":"string","nullable":true},"status":{"type":"integer","format":"int32","nullable":true},"detail":{"type":"string","nullable":true},"instance":{"type":"string","nullable":true}},"additionalProperties":{}}}}}
```

{% openapi src="/files/oEgjY6sMA31ZVBC35aoj" path="/api/AVD/HostPool/{id}/AutoUpgrade/Messages" method="post" %}
[swagger 1.json](https://content.gitbook.com/content/jyGAUPrA6XIdGAfHCnJE/blobs/7mKwtvutT7xlWtmCVnxB/swagger%201.json)
{% endopenapi %}

## Get

> Retrieve an Auto-upgrade Message.

```json
{"openapi":"3.0.1","info":{"title":"Parallels RAS - REST API v1.0","version":"1.0"},"paths":{"/api/AVD/HostPool/{id}/AutoUpgrade/Messages/{messageId}":{"get":{"tags":["0-Infrastructure/AVD/Host Pool//Auto-upgrade"],"summary":"Get","description":"Retrieve an Auto-upgrade Message.","operationId":"cec6c590-fa69-4cd3-95c5-a3e2a564990e","parameters":[{"name":"id","in":"path","description":"The ID of the Auto-upgrade setting for which to retrieve the message.","required":true,"schema":{"type":"integer","format":"int32"}},{"name":"messageId","in":"path","description":"The ID of the message to retrieve.","required":true,"schema":{"type":"integer","format":"int32"}}],"responses":{"200":{"description":"Success","content":{"application/json; api-version=1.0":{"schema":{"$ref":"#/components/schemas/ScheduleMessage"}}}},"401":{"description":"Unauthorized","content":{"application/json; api-version=1.0":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}},"404":{"description":"Not Found","content":{"application/json; api-version=1.0":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}}}}}},"components":{"schemas":{"ScheduleMessage":{"type":"object","properties":{"id":{"type":"integer","description":"<para type=\"description\">ID of the object.</para>","format":"int32"},"enabled":{"type":"boolean","description":"<para type=\"description\">Enabled</para>"},"messageTitle":{"type":"string","description":"<para type=\"description\">Message title</para>","nullable":true},"message":{"type":"string","description":"<para type=\"description\">Message</para>","nullable":true},"sendMsgSecs":{"type":"integer","description":"<para type=\"description\">Seconds before message is sent</para>","format":"int32"},"sendMsgWhen":{"$ref":"#/components/schemas/SendMsgWhen"}},"additionalProperties":false,"description":"<para type=\"synopsis\">Schedule Message</para>\r\n<para type=\"description\"></para>"},"SendMsgWhen":{"enum":[["0 = Before","1 = After"]],"type":"string","description":"<para type=\"synopsis\">Whether the message is sent Before/After the schedule is triggered. Send Message When can only be set to After in the case of Reboot.</para>\r\n<para type=\"description\"></para>","format":"int32"},"ProblemDetails":{"type":"object","properties":{"type":{"type":"string","nullable":true},"title":{"type":"string","nullable":true},"status":{"type":"integer","format":"int32","nullable":true},"detail":{"type":"string","nullable":true},"instance":{"type":"string","nullable":true}},"additionalProperties":{}}}}}
```

## Update

> Update an Auto-upgrade Message.

```json
{"openapi":"3.0.1","info":{"title":"Parallels RAS - REST API v1.0","version":"1.0"},"paths":{"/api/AVD/HostPool/{id}/AutoUpgrade/Messages/{messageId}":{"put":{"tags":["0-Infrastructure/AVD/Host Pool//Auto-upgrade"],"summary":"Update","description":"Update an Auto-upgrade Message.","operationId":"c06c68e5-ef5a-46f3-a675-609337f06ac6","parameters":[{"name":"id","in":"path","description":"The ID of the Auto-upgrade setting for which to modify the message.","required":true,"schema":{"type":"integer","format":"int32"}},{"name":"messageId","in":"path","description":"The ID of the message to modify.","required":true,"schema":{"type":"integer","format":"int32"}}],"requestBody":{"description":"Message settings.","content":{"application/json; api-version=1.0":{"schema":{"$ref":"#/components/schemas/SetAutoUpgradeMessage"}}}},"responses":{"204":{"description":"No Content"},"401":{"description":"Unauthorized","content":{"application/json; api-version=1.0":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}},"404":{"description":"Not Found","content":{"application/json; api-version=1.0":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}}}}}},"components":{"schemas":{"SetAutoUpgradeMessage":{"type":"object","properties":{"enabled":{"type":"boolean","description":"<para type=\"description\">Whether to enable or disable the message.</para>","nullable":true},"messageTitle":{"maxLength":255,"minLength":1,"type":"string","description":"<para type=\"description\">The title of the message.</para>","nullable":true},"message":{"maxLength":255,"minLength":1,"type":"string","description":"<para type=\"description\">A message that should be sent to users before the job starts.</para>","nullable":true},"sendMsgSecs":{"type":"integer","description":"<para type=\"description\">Time interval in seconds before the job starts when the message to users should be sent.</para>","format":"int32","nullable":true},"sendMsgWhen":{"$ref":"#/components/schemas/SendMsgWhen"}},"additionalProperties":false,"description":"<para type=\"synopsis\">Modify a message within the Auto-upgrade message list</para>\r\n<para type=\"description\"></para>"},"SendMsgWhen":{"enum":[["0 = Before","1 = After"]],"type":"string","description":"<para type=\"synopsis\">Whether the message is sent Before/After the schedule is triggered. Send Message When can only be set to After in the case of Reboot.</para>\r\n<para type=\"description\"></para>","format":"int32"},"ProblemDetails":{"type":"object","properties":{"type":{"type":"string","nullable":true},"title":{"type":"string","nullable":true},"status":{"type":"integer","format":"int32","nullable":true},"detail":{"type":"string","nullable":true},"instance":{"type":"string","nullable":true}},"additionalProperties":{}}}}}
```

## Delete

> Delete an Auto-upgrade Message by ID.

```json
{"openapi":"3.0.1","info":{"title":"Parallels RAS - REST API v1.0","version":"1.0"},"paths":{"/api/AVD/HostPool/{id}/AutoUpgrade/Messages/{messageId}":{"delete":{"tags":["0-Infrastructure/AVD/Host Pool//Auto-upgrade"],"summary":"Delete","description":"Delete an Auto-upgrade Message by ID.","operationId":"09b8d3e7-9107-45fb-9fc7-28ed52728518","parameters":[{"name":"id","in":"path","description":"The ID of the Auto-upgrade setting for which to remove the message.","required":true,"schema":{"type":"integer","format":"int32"}},{"name":"messageId","in":"path","description":"The ID of the message to remove.","required":true,"schema":{"type":"integer","format":"int32"}}],"responses":{"204":{"description":"No Content"},"401":{"description":"Unauthorized","content":{"application/json; api-version=1.0":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}},"404":{"description":"Not Found","content":{"application/json; api-version=1.0":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}}}}}},"components":{"schemas":{"ProblemDetails":{"type":"object","properties":{"type":{"type":"string","nullable":true},"title":{"type":"string","nullable":true},"status":{"type":"integer","format":"int32","nullable":true},"detail":{"type":"string","nullable":true},"instance":{"type":"string","nullable":true}},"additionalProperties":{}}}}}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.parallels.com/landing/ras-rest-api-guide/api-reference/infrastructure/avd/host-pool/auto-upgrade/messages.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
